--- a/jobs/resource.pxu
+++ b/jobs/resource.pxu
@@ -20,7 +20,7 @@ Suggests: x11-server-utils
 # This is for bin/dmi_resource
 unit: packaging meta-data
 os-id: debian
-Depends: dmidecode [!armel !mips !mipsel !powerpc !ppc64el !s390x]
+Depends: dmidecode [any-amd64 any-i386 arm64 armhf x32]
 
 # This is for bin/dpkg_resource
 unit: packaging meta-data
